Summary:	iw - utility to show or manipulate wireless devices and their configuration
Summary(pl.UTF-8):	iw - narzędzie do wyświetlania i modyfikowania konfiguracji urządzeń bezprzewodowych
Name:		iw
Version:	4.3
Release:	1
License:	BSD
Group:		Networking/Admin
Source0:	https://www.kernel.org/pub/software/network/iw/%{name}-%{version}.tar.xz
# Source0-md5:	7adec72e91ebdd9c55429fa34a23a6f5
URL:		http://wireless.kernel.org/en/users/Documentation/iw
BuildRequires:	libnl-devel >= 1:3.2
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
iw is a new nl80211 based CLI configuration utility for wireless
devices.

%description -l pl.UTF-8
iw to nowe, oparte na sterowniku nl80211, działające z linii poleceń
narzędzie do konfiguracji urządzeń bezprzewodowych.

%prep
%setup -q

sed -i -e 's#git rev-parse#false#g' version.sh

%build
CC="%{__cc}" \
CFLAGS="%{rpmcflags} %{rpmcppflags}" \
%{__make} \
	V=1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8}

install iw $RPM_BUILD_ROOT%{_sbindir}
install iw.8 $RPM_BUILD_ROOT%{_mandir}/man8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING README
%attr(755,root,root) %{_sbindir}/iw
%{_mandir}/man8/iw.8*
%changelog
* Sat Sep 19 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/iw.git;a=log;h=master

* Sat Sep 19 2015 Jakub Bogusz <qboosh@pld-linux.org> 70dfcf6
- updated to 4.3

* Fri May 08 2015 Jakub Bogusz <qboosh@pld-linux.org> e0f5007
- updated to 4.1

* Sat Apr 11 2015 Jakub Bogusz <qboosh@pld-linux.org> 32802e8
- updated to 4.0

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 3bdd960
- x32 rebuild
- release 2 (by relup.sh)

* Sat Oct 11 2014 Jakub Bogusz <qboosh@pld-linux.org> 4537c5e
- updated to 3.17

* Sat May 24 2014 Jakub Bogusz <qboosh@pld-linux.org> ba7f6ba
- updated to 3.15

* Sun Jan 26 2014 Jakub Bogusz <qboosh@pld-linux.org> f923a25
- updated to 3.14

* Sat Dec 07 2013 Jakub Bogusz <qboosh@pld-linux.org> 047b53f
- updated to 3.13

* Mon Sep 09 2013 Jakub Bogusz <qboosh@pld-linux.org> 5486b7c
- updated to 3.11

* Sat Jun 08 2013 Jakub Bogusz <qboosh@pld-linux.org> de81093
- updated to 3.10

* Sat Feb 16 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 9d421c0
- avoid version.c regeneration

* Sun Feb 03 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 9ad361d
- release 4 (by relup.sh)

* Mon Jan 14 2013 Jan Rękorajski <baggins@pld-linux.org> d9d91a9
- release 3 (by relup.sh)

* Sun Jan 13 2013 Jan Rękorajski <baggins@pld-linux.org> bcf5ac9
- release 2 (by relup.sh)

* Tue Jan 08 2013 Jakub Bogusz <qboosh@pld-linux.org> 2e09673
- updated to 3.8

* Thu Nov 01 2012 Jakub Bogusz <qboosh@pld-linux.org> 5f2be39
- updated to 3.7

* Tue Aug 28 2012 Jakub Bogusz <qboosh@pld-linux.org> 70ccd58
- updated to 3.6

* Wed Jun 27 2012 Jakub Bogusz <qboosh@pld-linux.org> 2a9cab9
- updated to 3.5

* Tue Apr 03 2012 Jakub Bogusz <qboosh@pld-linux.org> f5e9a35
- updated to 3.4

* Fri Jan 20 2012 Jakub Bogusz <qboosh@pld-linux.org> 78b1830
- updated to 3.3

